Decide on an appeal
const url = 'https://api.gampeon.com/v1/moderation/appeals/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/decision';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"outcome":"uphold","statementOfReasons":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.gampeon.com/v1/moderation/appeals/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/decision \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "outcome": "uphold", "statementOfReasons": "example" }'reverse unblocks the version if no other block applies. The creator gets the statement of reasons and the notice on Art. 21 DSA.
Requires the role moderator or admin.
Not available with access tokens.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Appeal ID
Request Bodyrequired
Section titled “Request Bodyrequired”object
Statement of reasons, 20 to 5000 characters. Shown to the people affected.
Responses
Section titled “Responses”Decided
object
Example generated
{ "appealId": "example", "outcome": "example", "unblocked": true}Error codes: invalid_field
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: unauthorized
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: forbidden, token_not_allowed
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: not_found
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: already_decided
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}